<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
		xmlns:xalan="http://xml.apache.org/xalan"
		exclude-result-prefixes="sm sc xalan"
		version="1.0">
<xsl:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
		
<xsl:template match="sm:compositionPrim">
<elt id="{sm:identification/@targetPrefix}_{sm:identification/@code}" lname="{sm:identification/@code}" ns="{sm:identification/@targetNamespace}">
<xsl:apply-templates select="sm:structure"/>
</elt>
</xsl:template>
	
<xsl:template match="sm:structure">
<xsl:choose>
<xsl:when test="count(*) &gt; 1">
<seq>
<xsl:apply-templates/>
</seq>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="sm:set">
<xsl:choose>
<xsl:when test="count(*) &gt; 1">
<bag>
<xsl:apply-templates/>
</bag>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="sm:alternative">
		
<bag>
<xsl:apply-templates/>
</bag>
</xsl:template>
	
<xsl:template match="sm:part">
<eltChild name="sp:{@code}">
<xsl:call-template name="bodyPart"/>
</eltChild>
</xsl:template>
	
<xsl:template match="sm:alternative/sm:part">
<eltChild name="sp:{@code}">
<analyzer type="eu.scenari.diff.bcd.analyzer.EltReplaceableAnalyzer">
<replaceable names="{concatExpr(..//sm:part, concat('sp:', @code), '|')}"/>
</analyzer>
<xsl:call-template name="bodyPart"/>
</eltChild>
</xsl:template>
	
<xsl:template match="sm:alternative/sm:set/sm:part">
<eltChild name="sp:{@code}">
<analyzer type="eu.scenari.diff.bcd.analyzer.EltReplaceableAnalyzer">
<replaceable names="{concatExpr(../..//sm:part, concat('sp:', @code), '|')}"/>
</analyzer>
<xsl:call-template name="bodyPart"/>
</eltChild>
</xsl:template>
	
<xsl:template name="bodyPart">
<xsl:apply-templates select="sm:meta|sm:metaIfExternalized"/>
<xsl:call-template name="partProperties"/>
<xsl:choose>
<xsl:when test="@internalized = 'always' and count(sm:allowedModel)=1">
<xsl:apply-templates select="sm:allowedModel"/>
</xsl:when>
<xsl:when test="@internalized = 'always'">
<alt>
<xsl:apply-templates select="sm:allowedModel"/>
</alt>
</xsl:when>
<xsl:when test="@internalized = 'userDependent'">
<alt>
<attr refId="@sc_refUri"/>
<xsl:apply-templates select="sm:allowedModel"/>
</alt>
</xsl:when>
</xsl:choose>
</xsl:template>

<xsl:template match="sm:meta|sm:metaIfExternalized">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:allowedModel">
<xsl:if test="not(@restrictUserDep='neverInternalized') and resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</xsl:if>
</xsl:template>
	
<xsl:template match="*"/>
<xsl:template match="text()|@*"/>
</xsl:stylesheet>