<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="sm sc xalan"
	version="1.0">
<xsl:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
		
<xsl:template match="sm:dataFormPrim">
<elt id="{sm:identification/@targetPrefix}_{sm:identification/@code}" lname="{sm:identification/@code}" ns="{sm:identification/@targetNamespace}">
<seq>
<xsl:apply-templates select="sm:structure"/>
</seq>
</elt>
</xsl:template>
	
<xsl:template match="sm:structure">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="sm:field[sm:refItem]">
		
<xsl:variable name="vIsExternalizable" select="testExpr(sm:refItem/sm:allowedModel, resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isStandAloneItem')) = 'true', 'or')"/>
<xsl:if test="$vIsExternalizable">
<eltChild name="sp:{@code}">
<xsl:apply-templates/>
</eltChild>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:field[sm:otherType]">
		
<xsl:if test="resultatAgent(concat('@', getIdFromPath(sm:otherType/@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild name="sp:{@code}">
<xsl:apply-templates/>
</eltChild>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:field">
<eltChild name="sp:{@code}">
<xsl:apply-templates/>
</eltChild>
</xsl:template>
<xsl:template match="sm:group">
<eltChild name="sp:{@code}">
<xsl:apply-templates/>
</eltChild>
</xsl:template>
	
<xsl:template match="sm:setOf">
<eltChild name="sp:{@code}">
<xsl:apply-templates/>
</eltChild>
</xsl:template>
	
<xsl:template match="sm:subData">
<eltChild name="sp:{@code}">
<alt>
<xsl:apply-templates/>
</alt>
</eltChild>
</xsl:template>
<xsl:template match="sm:allowedDataModel">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</xsl:if>
</xsl:template>
	
	
<xsl:template match="sm:string">
		
</xsl:template>
<xsl:template match="sm:enum">
		
</xsl:template>
<xsl:template match="sm:number">
		
</xsl:template>
<xsl:template match="sm:date">
		
</xsl:template>
<xsl:template match="sm:url">
		
</xsl:template>
<xsl:template match="sm:refItem"/>
<xsl:template match="sm:otherType">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</xsl:template>
	
	
<xsl:template match="*"/>
<xsl:template match="text()|@*"/>
</xsl:stylesheet>