<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="sm xsl java xalan">
	
<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>

<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>
	
<xsl0:include href="bs:widgets.xml.xsl"/>
	
	
<xsl0:template match="sm:sourceCodeHtmlTransf">
<structure code="{resultatAgent($vAgentModel/codeModel)}{getAxisSuffix(sm:axis/@code)}" version="1.0">
<xsl0:attribute name="racine"><xsl0:value-of select="concat('//',resultatAgent($vAgentModel/qNameTagRootModel))"/></xsl0:attribute>
<xsl0:attribute name="codecomposant"><xsl0:value-of select="si(sm:axis/@code, concat(&quot;concat(getIdNode(..), '&quot;, getAxisSuffix(sm:axis/@code), &quot;')&quot;), 'getIdNode(..)')"/></xsl0:attribute>
<xsl0:if test="resultatAgent($vAgentModel/prefixModel)">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
</xsl0:if>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>

			
			
<valeur code="codeMeta">
<source type="xpath-statique">concat(getIdNode(.), '_meta')</source>
</valeur>
			
<valeur code="fullTitleText">
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('//codeMeta'), '/fullTitleText'))</source>
</valeur>
			
<valeur code="shortTitleText">
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('//codeMeta'), '/shortTitleText'))</source>
</valeur>

<xsl0:apply-templates/>
			
<xsl0:apply-templates mode="agts"/>
</structure>
</xsl0:template>
	
	
<xsl0:template match="sm:sourceCodeHtmlTransf/sm:content">
		
<valeur code="xhtmlContent">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin redirect">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:redirect">com.scenari.xsldom.xalan.lib.Redirect</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
					
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
					
<xsl:template match="*">
						
<xsl:if test="checkNoCycleAgent()">
<xsl0:apply-templates mode="content"/>
</xsl:if>
</xsl:template>
</xsl:stylesheet>
</source>
			
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
</xsl0:template>

<xsl0:template match="*"/>

	
<xsl0:template match="sm:page" mode="pathPageInContent">resultatAgent('//_<xsl0:value-of select="generate-id()"/>', 'act:')</xsl0:template>
<xsl0:template match="sm:callModel" mode="pathPageInContent">resultatAgent('//callModel_<xsl0:value-of select="generate-id()"/>')</xsl0:template>
<xsl0:template match="sm:lookForExistingModelPage[sm:ifNoPage]" mode="pathPageInContent">returnFirst(<xsl0:call-template name="lookForExistingModelPage"/>, <xsl0:apply-templates mode="pathPageInContent" select="sm:ifNoPage/*"/>)</xsl0:template>
<xsl0:template match="sm:ifNoPage/sm:lookForExistingModelPage[sm:ifNoPage]" mode="pathPageInContent"><xsl0:call-template name="lookForExistingModelPage"/>, <xsl0:apply-templates mode="pathPageInContent" select="sm:ifNoPage/*"/></xsl0:template>
<xsl0:template match="sm:lookForExistingModelPage" mode="pathPageInContent"><xsl0:call-template name="lookForExistingModelPage"/></xsl0:template>
<xsl0:template match="sm:externalUrl" mode="pathPageInContent"><xsl0:apply-templates mode="pathPageInContent"/></xsl0:template>
<xsl0:template match="sm:fixedString" mode="pathPageInContent">'<xsl0:value-of select="escapeXpathString(@value)"/>'</xsl0:template>
<xsl0:template name="lookForExistingModelPage">resultatDialogue(<xsl0:apply-templates mode="callModel" select="sm:navContext/*"/>, concat('lookFor:computeResultWithArguments=act:&amp;codeAgentPrinc=', escapeQueryString(codeAgent(<xsl0:apply-templates mode="callModel" select="sm:target/*"/>))))</xsl0:template>
<xsl0:template match="node()" mode="pathPageInContent"/>

	
<xsl0:template match="sm:choose" mode="content">
<xsl:choose>
<xsl0:apply-templates mode="content"/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:when" mode="content">
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''//cond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:when test="@xpath">
<xsl0:value-of select="@xpath"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}">
<xsl0:apply-templates mode="content"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:otherwise" mode="content">
<xsl:otherwise>
<xsl0:apply-templates mode="content"/>
</xsl:otherwise>
</xsl0:template>
<xsl0:template match="sm:Widget" mode="content"><xsl:value-of select="resultatAgent(concat('widget_{generate-id()}_', generate-id()),.)" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:callModel" mode="content"><xsl:value-of select="resultatAgent('//callModel_{generate-id()}')" disable-output-escaping="yes"/></xsl0:template>

	
<xsl0:template match="sm:callModel" mode="agts">
<valeur code="callModel_{generate-id()}">
<xsl0:choose>
<xsl0:when test="parent::sm:link or parent::sm:ifNoPage">
					
<source type="xpath-dynamique">resultatDialogue(<xsl0:if test="not(*/@navCtx='preserveCurrent')">concat('/', </xsl0:if><xsl0:apply-templates mode="callModel"/><xsl0:if test="not(*/@navCtx='preserveCurrent')">)</xsl0:if>, 'act:')</source>
</xsl0:when>
<xsl0:when test="parent::sm:title or parent::sm:fullTitleText or parent::sm:shortTitleText">
					
<source type="xpath-dynamique">resultatAgent(concat(<xsl0:apply-templates mode="callModel"/>, '/<xsl0:value-of select="returnFirst(@view, 'fullTitleText')"/>'))</source>
</xsl0:when>
<xsl0:when test="/sm:sourceCodeHtmlTransf/sm:content or ancestor::sm:mainZone or ancestor::sm:zone or ancestor::sm:outlineClasses or ancestor::sm:description">
					
<source type="xpath-dynamique">resultatAgent(concat(<xsl0:apply-templates mode="callModel"/>, '/<xsl0:value-of select="returnFirst(@view, 'xhtmlContent')"/>'))</source>
</xsl0:when>
<xsl0:otherwise>
					
<source type="xpath-dynamique"><xsl0:apply-templates mode="callModel"/></source>
</xsl0:otherwise>
</xsl0:choose>
</valeur>
</xsl0:template>
<xsl0:template match="sm:lookForExistingModelPage" mode="agts">
<valeur code="lookForPage_{generate-id()}">
<xsl0:choose>
<xsl0:when test="ancestor::sm:page or not(ancestor::sm:navigation)">
<source type="xpath-dynamique">resultatDialogue(<xsl0:apply-templates mode="callModel" select="sm:navContext/*"/>, concat('lookFor:computeResultWithArguments=act:&amp;codeAgentPrinc=', escapeQueryString(codeAgent(<xsl0:apply-templates mode="callModel" select="sm:target/*"/>))))</source>
</xsl0:when>
<xsl0:otherwise>
<source type="xpath-dynamique">resultatDialogue(<xsl0:apply-templates mode="callModel" select="sm:navContext/*"/>, concat('lookFor:codeAgentPrinc=', escapeQueryString(codeAgent(<xsl0:apply-templates mode="callModel" select="sm:target/*"/>))))</source>
</xsl0:otherwise>
</xsl0:choose>
</valeur>
</xsl0:template>
<xsl0:template match="sm:when[@sc:refUri]" mode="agts">
<xsl0:variable name="vUri" select="@sc:refUri"/>
<xsl0:if test="count(preceding::sm:when[@sc:refUri=$vUri])=0">
<valeur code="cond_{alphaHash(@sc:refUri)}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
</valeur>
</xsl0:if>
<xsl0:apply-templates mode="agts"/>
</xsl0:template>
<xsl0:template match="text()|@*" mode="agts"/>

	
<xsl0:template match="sm:root" mode="callModel">concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '<xsl0:value-of select="getAxisSuffix(@axis)"/>')</xsl0:template>
<xsl0:template match="sm:current" mode="callModel">concat('@', switchAxis(codeAgent('//'), '<xsl0:value-of select="@axis"/>'))</xsl0:template>
<xsl0:template match="sm:lookForAscendants" mode="callModel">concat('@', switchAxis(codeAgent(lookForAscendants($vDialog,'<xsl0:value-of select="returnFirst(@direction,'currentToRoot')"/>'<xsl0:apply-templates mode="callModel"/>)), '<xsl0:value-of select="@axis"/>'))</xsl0:template>
<xsl0:template match="sm:callableModel" mode="callModel">,'<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))"/>'</xsl0:template>
<xsl0:template match="sm:agentPath" mode="callModel">pathAgent(agent('<xsl0:value-of select="@path"/>', $vDialog))</xsl0:template>
<xsl0:template match="sm:currentNav" mode="callModel">'.'</xsl0:template>
<xsl0:template match="sm:fromNewRoot" mode="callModel">concat('/', <xsl0:apply-templates mode="callModel"/>)</xsl0:template>
<xsl0:template match="text()|@*" mode="callModel"/>

	
<xsl0:template match="sm:fixedPath" mode="pathPage">
<urlPage><xsl0:value-of select="@value"/></urlPage>
</xsl0:template>
<xsl0:template match="node()" mode="pathPage"/>
	
	
<xsl0:template match="sm:Widget" mode="agentsWidgets">
<xsl0:param name="pPath"/>
<valeur code="widget_{generate-id()}" codecomposant="concat('widget_{generate-id()}_', generate-id())">
<xsl0:if test="$pPath"><xsl0:attribute name="racine"><xsl0:value-of select="$pPath"/></xsl0:attribute></xsl0:if>
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
			
<xsl0:apply-templates mode="agentsWidgetZones"/>
</valeur>
</xsl0:template>

<xsl0:template match="*" mode="agentsWidgets">
<xsl0:param name="pPath"/>
<xsl0:apply-templates mode="agentsWidgets">
<xsl0:with-param name="pPath" select="$pPath"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="text()|@*" mode="agentsWidgets"/>
	
	
<xsl0:template match="sm:xhtmlContentZone" mode="agentsWidgetZones">
<xsl0:param name="pPath"/>
<valeur code="{si(@key, concat('xhtmlContentZone_', @key), concat('XZ_', generate-id()))}">
<xsl0:if test="$pPath">
<xsl0:attribute name="racine"><xsl0:value-of select="$pPath"/></xsl0:attribute>
<xsl0:attribute name="codecomposant">generate-id()</xsl0:attribute>
</xsl0:if>
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
					
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
					
<xsl:template match="*">
						
<xsl0:apply-templates mode="content"/>
</xsl:template>
</xsl:stylesheet>
</source>
			
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
</xsl0:template>
<xsl0:template match="sm:urlZone" mode="agentsWidgetZones">
<xsl0:param name="pPath"/>
<valeur code="{si(@key, concat('urlZone_', @key), concat('UZ_', generate-id()))}">
<xsl0:if test="$pPath">
<xsl0:attribute name="racine"><xsl0:value-of select="$pPath"/></xsl0:attribute>
<xsl0:attribute name="codecomposant">generate-id()</xsl0:attribute>
</xsl0:if>
<source type="xpathOnSrc-dynamique"><xsl0:apply-templates mode="pathPageInContent" select="sm:link/*"/></source>
</valeur>
</xsl0:template>
<xsl0:template match="node()" mode="agentsWidgetZones"/>
	
	
	
	
	
<xsl0:template match="sm:title" mode="intituleTag">
<xsl0:variable name="vTitleFormat" select="si(local-name(..)='page', 'shortTitleText', 'fullTitleText')"/>
<xsl0:choose>
<xsl0:when test="count(*) &gt; 1">
<intitule type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl:output method="text"/>
						
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
						
						
<xsl:template match="*">
<xsl:choose>
<xsl0:apply-templates mode="titleMultiInXslWhen">
<xsl0:with-param name="pTitleFormat" select="$vTitleFormat"/>
</xsl0:apply-templates>
</xsl:choose>
</xsl:template>
</xsl:stylesheet>
</intitule>
</xsl0:when>
<xsl0:when test="sm:callModel">
<intitule type="resultat-dynamique">agent=//callModel_<xsl0:value-of select="generate-id(sm:callModel)"/></intitule>
</xsl0:when>
<xsl0:when test="sm:dynamicString">
<intitule type="xpathOnSrc-dynamique"><xsl0:value-of select="sm:dynamicString/sm:freeSelect/@xpath"/></intitule>
</xsl0:when>
<xsl0:when test="sm:fixedTitle">
<intitule><xsl0:value-of select="sm:fixedTitle/@value"/></intitule>
</xsl0:when>
</xsl0:choose>
</xsl0:template>
	
	
<xsl0:template match="sm:callModel" mode="titleMultiInXslWhen">
<xsl:when test="resultatAgent('//callModel_{generate-id()}') != ''">
<xsl:value-of select="resultatAgent('//callModel_{generate-id()}')"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:dynamicString" mode="titleMultiInXslWhen">
<xsl:when test="{sm:freeSelect/@xpath} != ''">
<xsl:value-of select="{sm:freeSelect/@xpath}"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:fixedTitle" mode="titleMultiInXslWhen">
		
<xsl:otherwise>
<xsl0:value-of select="@value"/>
</xsl:otherwise>
</xsl0:template>
	
	
<xsl0:template name="crossRefEntries">
<xsl0:if test="@crossRefEntries">
<crossRef>
<xsl:variable name="vValue" select="{si(boolean(ancestor::sm:for), 'si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.))', 'getIdNode(..)')}"/>
<xsl0:for-each select="xalan:tokenize(@crossRefEntries, ' ')">
<entry keyRef="{.}" value="{{$vValue}}"/>
</xsl0:for-each>
</crossRef>
</xsl0:if>
</xsl0:template>

</xsl0:stylesheet>
