<?xml version="1.0" encoding="UTF-8"?>


<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:java="http://xml.apache.org/xslt/java" 
	version="1.0"
	exclude-result-prefixes="sm sc xalan java">
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
	
<xsl:variable name="vStructureModel" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))/sm:structure"/>

<xsl:template match="/sm:sourceCodeOdTransf">
<view code="odContent">
<xsl:apply-templates/>
</view>
		
<xsl:variable name="vMetaModel" select="$vStructureModel/sm:meta/@sc:refUri"/>
<xsl:if test="$vMetaModel">
<view code="title"><call model="{$vMetaModel}" axis="" view="title"/></view>
</xsl:if>
<xsl:apply-templates mode="callSequenceCategory"/>
<xsl:apply-templates mode="callBlockCategory"/>
</xsl:template>
	
<xsl:template match="sm:callModel/sm:current">
<call direction="current" model="{/sm:sourceCodeOdTransf/sm:model/@sc:refUri}" axis="{@axis}" view="odContent"/>
</xsl:template>
	
<xsl:template match="sm:callModel/sm:root">
<xsl:variable name="vAxis" select="@axis"/>
<xsl:for-each select="agentsLies(computeNodeAgent('//agentGenerator', 'listAgentRootAllowed'))">
<call model="{java:getSrcUri(srcFileAgent(.))}" axis="{$vAxis}" view="odContent"/>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="sm:callModel/sm:agentPath">
<xsl:variable name="vAxis" select="@axis"/>
<xsl:for-each select="sm:callableModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="odContent"/>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="sm:callModel/sm:lookForAscendants">
<xsl:variable name="vAxis" select="@axis"/>
<xsl:for-each select="sm:callableModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="odContent"/>
</xsl:for-each>
</xsl:template>
		
<xsl:template match="sm:callSourceCodeMeta">
<xsl:variable name="vView">
<xsl:choose>
<xsl:when test="local-name(..)='fullTitleText' or local-name(..)='shortTitleText' ">title</xsl:when>
<xsl:otherwise>odContent</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<call model="{$vStructureModel/sm:meta/@sc:refUri}" axis="{@axis}" view="{$vView}"/>
</xsl:template>
	
<xsl:template match="sm:sourceCodeTitle">
<call model="{$vStructureModel/sm:meta/@sc:refUri}" axis="{@axis}" view="title"/>
</xsl:template>
		
	
<xsl:template match="sm:Widget">
		
<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/viewsInfo'))" disable-output-escaping="yes"/>
<xsl:apply-templates/>
</xsl:template>
				
<xsl:template match="text()|@*"/>
		
</xsl:stylesheet>
