<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="java xalan xsl sm sc scodPp office text table fo draw svg xlink style">
	
<xsl0:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:include href="bsco:sm/od/getContent.xsl.xsl"/>
	
<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
		
<xsl0:variable name="vXmlPrim" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))"/>
<xsl0:variable name="vMainEltCode" select="resultatAgent('//codeTransformer')"/>


<xsl0:template match="/* | sm:odContentZone">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
		
<xsl:variable name="idRootAgt" select="getIdNode(ancestor-or-self::{concat(resultatAgent('//agentModel', 'prefixModel'), ':', resultatAgent('//agentModel', 'tagRootModel'))}[1])"/>
		
<xsl0:choose>
<xsl0:when test="name()='sm:odContentZone'">
<xsl:template match="*" priority="1">
<xsl:choose>
<xsl:when test="checkNoCycleAgent()">
<xsl0:apply-templates select="*"/>
</xsl:when>
<xsl:otherwise>
<xsl0:call-template name="tPublishError">
<xsl0:with-param name="pInPara">false</xsl0:with-param>
<xsl0:with-param name="pContent">
<text:p>Cycle détecté [<xsl:value-of select="java:getSrcName(srcFileAgent())"/>]</text:p>
</xsl0:with-param>
</xsl0:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
</xsl0:when>
<xsl0:otherwise>
<xsl:template match="{concat(resultatAgent('//agentModel', 'prefixModel'), ':', resultatAgent('//agentModel', 'tagRootModel'))}">
<xsl:choose>
<xsl:when test="checkNoCycleAgent()">
<xsl0:apply-templates select="sm:content"/>
</xsl:when>
<xsl:otherwise>
<xsl0:call-template name="tPublishError">
<xsl0:with-param name="pInPara">false</xsl0:with-param>
<xsl0:with-param name="pContent">Cycle détecté [<xsl:value-of select="java:getSrcName(srcFileAgent())"/>]</xsl0:with-param>
</xsl0:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
</xsl0:otherwise>
</xsl0:choose>
		
<xsl0:apply-templates select="descendant::*" mode="mMatch"/>
<xsl:template match="*"/>
		
</xsl0:template>
		

<xsl0:template match="sm:content">
<xsl0:apply-templates/>
</xsl0:template>
	

	
<xsl0:template match="sm:choose">
<xsl:choose>
<xsl0:apply-templates/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:when">
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''//cond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:when test="@xpath">
<xsl0:value-of select="@xpath"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}"><xsl0:apply-templates select="*"/></xsl:when>
</xsl0:template>
	
<xsl0:template match="sm:otherwise">
<xsl:otherwise><xsl0:apply-templates select="*"/></xsl:otherwise>
</xsl0:template>


	 
	 
<xsl0:template match="sm:WFormatedCodeBlock" name="sm:WFormatedCodeBlock">
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
<xsl:variable name="vCodeFormated{generate-id()}">
<xsl:value-of select="computeStrAgent('//', concat('get:src:', java:getSrcUri(srcFileAgent()), '?transform=codeParser&amp;outputFormat=xml&amp;xpath=', domNode2XPath(sc:code), '&amp;srcMimeType=', escapeUrl(sc:code/@mimeType)))" disable-output-escaping="yes"/>
</xsl:variable>
<xsl:variable name="vCodeFormatedXml{generate-id()}" select="parseXml($vCodeFormated{generate-id()})" />
<xsl:for-each select="$vCodeFormatedXml{generate-id()}/*/ln">
<xsl0:call-template name="sm:WParagraph">
<xsl0:with-param name="pContent">
<xsl0:if test="@lineNumbers='yes'">
<text:span text:style-name="{{concat(getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/@text:style-name, '_20__3e__20_number')}}">
<text:tab/>
<xsl:value-of select="count(preceding-sibling::*)+1"/>
<text:tab/>
</text:span>
<text:tab/>
</xsl0:if>
<xsl:apply-templates mode="codeType_{generate-id()}"/>
</xsl0:with-param>
</xsl0:call-template>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:WFormatedCodeBlock" mode="mMatch">
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
<xsl:template match="*" mode="codeType_{generate-id()}">
<text:span>
<xsl:variable name="vStyleName" select="concat(getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/@text:style-name, '_20__3e__20_type_20__3e__20_', name())"/>
<xsl:attribute name="text:style-name"><xsl:value-of select="si(getEntryBuffer('odStyleBlocks', '{$vBlockCode}')//text:span[@text:style-name=$vStyleName], $vStyleName, concat(getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/@text:style-name, '_20__3e__20_type_20__3e__20_undefined'))"/></xsl:attribute>
<xsl:apply-templates mode="codeType_{generate-id()}"/>
</text:span>
</xsl:template>
<xsl:template match="text()" mode="codeType_{generate-id()}">
<xsl:value-of select="java:replaceAll(java:replaceAll(java:com.scenari.s.fw.util.xml.HEncodingXml.getTextValue(string(.)), '\t', '&lt;text:tab/&gt;'), ' ', '&lt;text:s/&gt;')" disable-output-escaping="yes"/>
</xsl:template>
</xsl0:template>
	

	
<xsl0:template match="sm:WRawCodeBlock" name="sm:WRawCodeBlock">
<xsl0:call-template name="sm:WParagraph">
<xsl0:with-param name="pContent">
<xsl:variable name="vCodeFormated{generate-id()}">
<xsl:value-of select="computeStrAgent('//', concat('get:src:', java:getSrcUri(srcFileAgent()), '?transform=codeParser&amp;outputFormat=xml&amp;xpath=', domNode2XPath(sc:code), '&amp;srcMimeType=', escapeUrl(sc:code/@mimeType)))" disable-output-escaping="yes"/>
</xsl:variable>
<xsl:variable name="vCodeFormatedXml{generate-id()}" select="parseXml($vCodeFormated{generate-id()})" />
<xsl:for-each select="$vCodeFormatedXml{generate-id()}/*/ln">
<xsl:value-of select="java:replaceAll(java:replaceAll(java:com.scenari.s.fw.util.xml.HEncodingXml.getTextValue(string(.)), '\t', '&lt;text:tab/&gt;'), ' ', '&lt;text:s/&gt;')" disable-output-escaping="yes"/>
<xsl:if test="following-sibling::ln"><text:line-break/></xsl:if>
</xsl:for-each>
</xsl0:with-param>
</xsl0:call-template>
</xsl0:template>
	
	 
	
<xsl0:template match="sm:Widget" name="sm:Widget">
<xsl:value-of select="resultatAgent(concat('widget_{generate-id()}_', generate-id()))" disable-output-escaping="yes"/>
</xsl0:template>


<xsl0:template match="sm:title">
<xsl0:call-template name="sm:title"/>
</xsl0:template>
<xsl0:template match="sm:title" name="sm:title">
<xsl0:for-each select="sm:dynamicString">
<xsl:variable name="dynStr{generate-id()}">
<xsl0:apply-templates select="current()"/>
</xsl:variable>
</xsl0:for-each>
<xsl:choose>
<xsl0:for-each select="*">
<xsl0:variable name="vTitleType" select="si(@format and @format='shortTitleText', 'shortTitleText', 'fullTitleText')"/>
<xsl0:choose>
<xsl0:when test="name()='sm:sourceCodeTitle'">
<xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), '{@axis}'), '/{$vTitleType}'))))&gt;0">
<xsl0:value-of select="@prefix"/><xsl:value-of select="resultatAgent(concat('@', switchAxis(codeAgent('//'), '{@axis}'), '/{$vTitleType}'))" disable-output-escaping="yes"/><xsl0:value-of select="@suffix"/>
</xsl:when>
</xsl0:when>
<xsl0:when test="name()='sm:fixedTitle'">
<xsl:when test="boolean('true')"><xsl0:value-of select="@value"/></xsl:when>
</xsl0:when>
<xsl0:when test="name()='sm:dynamicString'">
<xsl:when test="string-length(normalize-space($dynStr{generate-id()}))&gt;0"><xsl:value-of select="$dynStr{generate-id()}"/></xsl:when>
</xsl0:when>
</xsl0:choose>
</xsl0:for-each>
<xsl:when test="boolean('true')"></xsl:when>
</xsl:choose>
</xsl0:template>
	


	
<xsl0:template match="sm:callSourceCodeMeta">
<xsl0:variable name="vIdCall" select="generate-id()"/>
<xsl:variable name="vContentAgt{$vIdCall}" select="concat('@', $idRootAgt, '_meta', '{getAxisSuffix(@axis)}')"/>
<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt{$vIdCall}, '/getContent'))"/>
</xsl0:template>

<xsl0:template match="*" mode="mMatch"/>
	
</xsl0:stylesheet>
