<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xul="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
	exclude-result-prefixes="sm sc sp se">
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>

<xsl:include href="bsco:sm/model/commons.xed.xsl"/>

<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:template match="sm:sourceCodePrim">
<xsl:choose>
<xsl:when test="resultatAgent('//isStandAloneItem')='true'">
<se:lib>
<dropPasteItem se:id="{resultatAgent('//codeModel')}" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" regexpSgn=".*@{resultatAgent('//codeModel')}\b.*" childrenRoot="true">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:sourceCode/sm:perms"/>
</xsl:call-template>
<element>
<xsl:call-template name="contentVisibleCompo"/>
</element>
</dropPasteItem>
<dropPasteItem se:id="{resultatAgent('//codeModel')}:hideHeader" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" regexpSgn=".*@{resultatAgent('//codeModel')}\b.*" childrenRoot="true">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:sourceCode/sm:perms"/>
</xsl:call-template>
<hiddenElement>
<childs>
<xsl:call-template name="quickHelpAsDescription">
<xsl:with-param name="pQuickHelp" select="$vFormEditor/sm:sourceCode/sm:help/sm:quickHelp"/>
</xsl:call-template>
<se:ref se:refid="s_content"/>
</childs>
</hiddenElement>
</dropPasteItem>
<se:template se:id="s_content">
<xsl:apply-templates select="sm:structure/*"/>
</se:template>
</se:lib>
<xmlview se:bind="document">
<hiddenElement se:bind="element" se:name="sc:item" se:title="￼?uri=sc:sm:;Item￼" se:declareNs="sc">
						
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:sourceCode/sm:perms"/>
</xsl:call-template>
<childs>
<dropPasteItem se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" regexpSgn=".*@{resultatAgent('//codeModel')}\b.*" childrenRoot="true">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:sourceCode/sm:perms"/>
</xsl:call-template>
<element insert="collapsed" opened="always">
<xsl:call-template name="contentVisibleCompo"/>
</element>
</dropPasteItem>
</childs>
</hiddenElement>
</xmlview>
</xsl:when>
<xsl:otherwise>
<se:lib>
<element se:id="{resultatAgent('//codeModel')}" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:sourceCode/sm:perms"/>
</xsl:call-template>
<xsl:call-template name="contentVisibleCompo"/>
</element>
<hiddenElement se:id="{resultatAgent('//codeModel')}:hideHeader" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:sourceCode/sm:perms"/>
</xsl:call-template>
<childs>
<xsl:call-template name="quickHelpAsDescription">
<xsl:with-param name="pQuickHelp" select="$vFormEditor/sm:sourceCode/sm:help/sm:quickHelp"/>
</xsl:call-template>
<se:ref se:refid="s_content"/>
</childs>
</hiddenElement>
<se:template se:id="s_content">
<xsl:apply-templates select="sm:structure/*"/>
</se:template>
</se:lib>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
	
<xsl:template name="contentVisibleCompo">
<xsl:if test="sm:help/@quickHelp and (not($vFormEditor/sm:sourceCode/sm:help/sm:quickHelp) or $vFormEditor/sm:sourceCode/sm:help/sm:quickHelp/sm:tooltip)"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:sourceCode/@containerStyle"><xsl:attribute name="styleContainer"><xsl:value-of select="$vFormEditor/sm:sourceCode/@containerStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:sourceCode/@headStyle"><xsl:attribute name="styleHead"><xsl:value-of select="$vFormEditor/sm:sourceCode/@headStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:sourceCode/@tagStyle"><xsl:attribute name="styleTag"><xsl:value-of select="$vFormEditor/sm:sourceCode/@tagStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:sourceCode/sm:iconTag/@sc:refUri"><xsl:attribute name="icon"><xsl:call-template name="getIconUrl"><xsl:with-param name="vUriRes" select="$vFormEditor/sm:sourceCode/sm:iconTag/@sc:refUri"/></xsl:call-template></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:sourceCode/@displayMode='openedByDefault'"><xsl:attribute name="opened">true</xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:sourceCode/@displayMode='closedByDefault'"><xsl:attribute name="closed">true</xsl:attribute></xsl:if>
<childs>
<xsl:call-template name="quickHelpAsDescription">
<xsl:with-param name="pQuickHelp" select="$vFormEditor/sm:sourceCode/sm:help/sm:quickHelp"/>
</xsl:call-template>
<se:ref se:refid="s_content"/>
</childs>
</xsl:template>

	
<xsl:template match="sm:meta">
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), si(@usage='optional', '/xedRefUrlForm', '/xedRefUrlFormHideHeader') ))}" se:card="{si(@usage='optional', '?', '1')}"/>
</xsl:template>
	
<xsl:template match="sm:code">
<element se:bind="element" se:name="sc:code" se:title="{returnFirst(@name, '￼Code source￼')}">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:code/sm:perms"/>
</xsl:call-template>
<xsl:if test="$vFormEditor/sm:code/@tagStyle"><xsl:attribute name="styleTag"><xsl:value-of select="$vFormEditor/sm:code/@tagStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:code/sm:iconTag/@sc:refUri"><xsl:attribute name="icon"><xsl:call-template name="getIconUrl"><xsl:with-param name="vUriRes" select="$vFormEditor/sm:code/sm:iconTag/@sc:refUri"/></xsl:call-template></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:code/@displayMode='openedByDefault'"><xsl:attribute name="opened">true</xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:code/@displayMode='closedByDefault'"><xsl:attribute name="closed">true</xsl:attribute></xsl:if>
<atts>
<attribute se:name="mimeType" se:title="{returnFirst(@langChoiceName, '￼Langue￼')}" se:bind="attribute" se:mandat="true">
<xsl:if test="count(sm:standardMimeType) + count(sm:customMimeType) = 1"><xsl:attribute name="se:defaultvalue"><xsl:value-of select="sm:standardMimeType/@mimeType"/><xsl:value-of select="sm:customMimeType/@mimeType"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:langChoice/@attrStyle"><xsl:attribute name="styleAttr"><xsl:value-of select="$vFormEditor/sm:langChoice/@attrStyle"/></xsl:attribute></xsl:if>
<choiceInput notnull="true">
<xsl:choose>
<xsl:when test="count(sm:standardMimeType)=0 and count(sm:customMimeType)=0">
<xsl:call-template name="fullMimeTypeList"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates mode="mimeTypeList"/>
</xsl:otherwise>
</xsl:choose>
</choiceInput>
</attribute>
</atts>				
<childs>
<xul:textnode se:bind="text">
<xul:textpanelInput filterspaces="false" frenchPonct="false">
<xsl:if test="$vFormEditor/sm:code/@textStyle"><xsl:attribute name="textStyle"><xsl:value-of select="$vFormEditor/sm:code/@textStyle"/></xsl:attribute></xsl:if>
</xul:textpanelInput>
</xul:textnode>
</childs>
</element>
</xsl:template>
	
<xsl:template match="sm:standardMimeType" mode="mimeTypeList">
<xsl:call-template name="ciItemMimeType"/>
</xsl:template>
	
<xsl:template name="ciItemMimeType">
<xsl:param name="pMimeType" select="@mimeType"/>
<xsl:param name="pName" select="@name"/>
<ciItem value="{$pMimeType}">
<xsl:attribute name="label">
<xsl:variable name="vDefaultMimeTypeName">
<xsl:call-template name="mimeTypeName">
<xsl:with-param name="pMimeType" select="$pMimeType"/>
</xsl:call-template>
</xsl:variable>
<xsl:value-of select="returnFirst($pName, $vDefaultMimeTypeName)"/>
</xsl:attribute>
</ciItem>
</xsl:template>
	
<xsl:template name="fullMimeTypeList">
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-csrc'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-c++src'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-java'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-csharp'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-scala'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'x-shader/x-vertex'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'x-shader/x-fragment'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/css'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-diff'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'application/xml-dtd'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/html'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/javascript'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'application/json'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/typescript'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'application/x-httpd-php'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-perl'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-php'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-properties'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-ini'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-python'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-cython'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-ruby'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-sh'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-sql'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-mysql'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-mariadb'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-cassandra'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-hive'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-plsql'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-stex'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/x-vb'"/></xsl:call-template>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'application/xml'"/></xsl:call-template>
<ciSeparator/>
<xsl:call-template name="ciItemMimeType"><xsl:with-param name="pMimeType" select="'text/plain'"/></xsl:call-template>
</xsl:template>
	
<xsl:template name="mimeTypeName">
<xsl:param name="pMimeType" select="@mimeType"/>
<xsl:choose>
<xsl:when test="$pMimeType='text/x-csrc'">C</xsl:when>
<xsl:when test="$pMimeType='text/x-c++src'">C++</xsl:when>
<xsl:when test="$pMimeType='text/x-java'">Java</xsl:when>
<xsl:when test="$pMimeType='text/x-csharp'">C#</xsl:when>
<xsl:when test="$pMimeType='text/x-scala'">Scala</xsl:when>
<xsl:when test="$pMimeType='x-shader/x-vertex'">Vertex shader</xsl:when>
<xsl:when test="$pMimeType='x-shader/x-fragment'">Fragment shader</xsl:when>
<xsl:when test="$pMimeType='text/css'">CSS</xsl:when>
<xsl:when test="$pMimeType='text/x-diff'">Diff</xsl:when>
<xsl:when test="$pMimeType='application/xml-dtd'">DTD</xsl:when>
<xsl:when test="$pMimeType='text/html'">HTML</xsl:when>
<xsl:when test="$pMimeType='text/javascript'">JavaScript</xsl:when>
<xsl:when test="$pMimeType='application/json'">JSON</xsl:when>
<xsl:when test="$pMimeType='text/typescript'">TypeScript</xsl:when>
<xsl:when test="$pMimeType='application/x-httpd-php'">￼HTML avec PHP￼</xsl:when>
<xsl:when test="$pMimeType='text/x-perl'">￼Perl￼</xsl:when>
<xsl:when test="$pMimeType='text/x-php'">￼PHP simple￼</xsl:when>
<xsl:when test="$pMimeType='text/x-properties'">￼Fichiers properties￼</xsl:when>
<xsl:when test="$pMimeType='text/x-ini'">￼Fichiers INI￼</xsl:when>
<xsl:when test="$pMimeType='text/x-python'">Python</xsl:when>
<xsl:when test="$pMimeType='text/x-cython'">Cython</xsl:when>
<xsl:when test="$pMimeType='text/x-ruby'">Ruby</xsl:when>
<xsl:when test="$pMimeType='text/x-sh'">Shell</xsl:when>
<xsl:when test="$pMimeType='text/x-sql'">SQL</xsl:when>
<xsl:when test="$pMimeType='text/x-mysql'">MySQL</xsl:when>
<xsl:when test="$pMimeType='text/x-mariadb'">MariaDB</xsl:when>
<xsl:when test="$pMimeType='text/x-cassandra'">Apache Cassandra</xsl:when>
<xsl:when test="$pMimeType='text/x-hive'">Apache Hive</xsl:when>
<xsl:when test="$pMimeType='text/x-plsql'">PL/SQL</xsl:when>
<xsl:when test="$pMimeType='text/x-stex'">sTeX, LaTeX</xsl:when>
<xsl:when test="$pMimeType='text/x-vb'">VB.NET</xsl:when>
<xsl:when test="$pMimeType='application/xml'">XML</xsl:when>
<xsl:when test="$pMimeType='text/plain'">￼Texte simple￼</xsl:when>
<xsl:otherwise>￼[Langage inconnu]￼</xsl:otherwise>
</xsl:choose>
</xsl:template>
	
<xsl:template match="sm:customMimeType" mode="mimeTypeList">
<ciItem value="{@mimeType}" label="{@name}"/>
</xsl:template>
	
<xsl:template match="sm:mimeTypeSeparator" mode="mimeTypeList">
<ciSeparator/>
</xsl:template>
	
<xsl:template name="quickHelpAsDescription">
<xsl:param name="pQuickHelp"/>
<xsl:if test="sm:help/@quickHelp and $pQuickHelp/sm:description">
<description>
<xsl:if test="$pQuickHelp/sm:description/@style"><xsl:attribute name="style"><xsl:value-of select="$pQuickHelp/sm:description/@style"/></xsl:attribute></xsl:if>
<xsl:value-of select="sm:help/@quickHelp"/>
</description>
</xsl:if>
</xsl:template>
	
<xsl:template match="*|text()|@*"/>
	
	
<xsl:template name="getIconUrl">
<xsl:param name="vUriRes"/>
<xsl:value-of select="resultatAgent('//', concat(
								'res:src=wsp:', 
								$vUriRes, 
								';dst=content/', 
								resultatAgent('//codeModel'),
								'/img/',
								alphaHash($vUriRes),
								'_',
								extractFileNameFromPath($vUriRes)
								)
							)"/>
</xsl:template>
</xsl:stylesheet>
