<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" 
	exclude-result-prefixes="sm sc java">
	
<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:template match="sm:codePreview">
<xsl:processing-instruction name="xml-stylesheet">href="chrome://scenariWsp/content/windows/subView/subview.css" type="text/css"</xsl:processing-instruction>
<xsl:processing-instruction name="xml-stylesheet">href="previewMini.css" type="text/css"</xsl:processing-instruction>
<window xmlns:xhtml="http://www.w3.org/1999/xhtml" onload="init();">
<script type="text/javascript"><![CDATA[
			function init(){
				try{
					var vUriObject = document.fUriObject;
					var vParent = window.frameElement;
					var vPreview = document.getElementById("preview");
					var vContent = document.getElementById("content");
					var vNoScroll = false;
					var vAncestor = vParent;
					while(vAncestor) {
						//log.info("Code preview vAncestor="+vAncestor.localName);
						if(vAncestor.localName=="tooltip" || vAncestor.localName=="shortDescDrawerRef") {
							vNoScroll = true;
							break;
						}
						vAncestor = vAncestor.parentNode;
					}
					if (vNoScroll) vPreview.className="noScroll";
					function asyncLoad(pEvent){
						try{
							var vXml = pEvent.target.responseXML;
							//log.info("Code preview vXml="+log.getXml(vXml));
							var vDiv = vContent.ownerDocument.importNode(vXml.documentElement, true);
							vContent.appendChild(vDiv);
							vParent.style.height = Math.min(vContent.firstElementChild.offsetHeight, 150) + "px";
						}catch(e){
							log.debug("Code preview asyncLoad : " + e);
						}
					}
					var vUrl = "/u/wspSrc?cdaction=GetSrc&format=stream&param="+encodeURIComponent(vUriObject.getWspCd()) + "&refUri="+encodeURIComponent(vUriObject.getSrcUri()) + "&transform=transform%3Dfacet%26facet%3DpreviewHtml" + (vNoScroll ? "Mini" : "");
					vUriObject.getDataProvider().loadFromService(vUrl, asyncLoad);
				}catch(e){
					log.debug("Code preview : " + e);
				}
			}
			]]></script>
<script src="chrome://scenariWsp/content/windows/subView/subview.js"/>
<vbox flex="1" id="preview">
<stack flex="1">
<vbox flex="1" id="content"/>
<vbox id="vail" flex="1" />
</stack>
</vbox>
</window>
</xsl:template>
<xsl:template match="node()"/>
</xsl:stylesheet>
