<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sng="http://relaxng.org/ns/structure/1.0" 
	xmlns:snga="http://relaxng.org/ns/compatibility/annotations/1.0"
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" exclude-result-prefixes="sc sp sm sng snga xalan" version="1.0">
<xsl:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="yes"/>
	
<xsl:include href="bsco:sm/model/relaxNg.xsl"/>
	 
<xsl:template match="sm:sourceCodePrim">
<xsl:value-of select="execute(setEntryBuffer('ns', string(sm:identification/@targetPrefix), string(sm:identification/@targetNamespace)))"/>
<xsl:value-of select="execute(setEntryBuffer('ns', 'sp', 'http://www.utc.fr/ics/scenari/v3/primitive'))"/>
<sng:define name="{sm:identification/@targetPrefix}_{sm:identification/@code}">
<sng:element name="{sm:identification/@targetPrefix}:{sm:identification/@code}" snga:title="{si(@info, concat(filterInlineLoc(@name), ' (',@info, ')'), filterInlineLoc(@name))}">
<xsl:call-template name="tGetRngDocumentationTag">
<xsl:with-param name="pDocTxt" select="returnFirst(sm:doc, filterInlineLoc(sm:help/@quickHelp))"/>
</xsl:call-template>
<xsl:apply-templates select="sm:structure"/>
</sng:element>
</sng:define>
</xsl:template>
<xsl:template match="sm:structure">
<xsl:apply-templates select="sm:meta" mode="title"/>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="sm:code">
<sng:element name="sc:code" snga:title="{filterInlineLoc(@name)}">
<sng:attribute name="mimeType">
<sng:data type="string">
<sng:param name="minLength ">1</sng:param>
</sng:data>
</sng:attribute>
<sng:text/>
</sng:element>
</xsl:template>

<xsl:template match="sm:meta[@usage='optional']" mode="title">
<sng:optional>
<sng:ref name="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</sng:optional>
</xsl:template>
<xsl:template match="sm:meta" mode="title">
<sng:ref name="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</xsl:template>
	
<xsl:template match="*"/>
<xsl:template match="text()|@*"/>
</xsl:stylesheet>