<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" 
	exclude-result-prefixes="sm sc java">
	
<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:template match="sm:videoViewer">
<script>
			var _Object = document.createElementNS("http://www.w3.org/1999/xhtml", "div");
			
			function init() {
				var vRoot = document.createElementNS("http://www.w3.org/1999/xhtml", "div");
				vRoot.setAttribute("style", "position:relative;");
				var vVideo = document.createElementNS("http://www.w3.org/1999/xhtml", "video");
				try {
					var vMainStreamSrcUri = document.fUriObject.getScModel().getMainStreamSrcUri(document.fUriObject.getShortDesc());
					var vUrl = document.fUriObject.getContentUrlByFullUri(wsp.buildFullUri(document.fUriObject.getWspCd(), vMainStreamSrcUri));
					
					//Si on est en dans un tooltip, on se met en auto-play.
					var vAutoplay = false;
					var vParent = window.frameElement;
					while(vParent) {
						if(vParent.localName=="tooltip") {
							vAutoplay = true;
							break;
						}
						vParent = vParent.parentNode;
					}
					
<xsl:choose>
<xsl:when test="parent::sm:preview">
					var vHeight = 320;
</xsl:when>
<xsl:otherwise>
					var vHeight = document.documentElement.boxObject.height || 150;
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="parent::sm:preview">
					var vWidth = 400;
</xsl:when>
<xsl:otherwise>
					var vWidth = document.documentElement.boxObject.width || 250;
</xsl:otherwise>
</xsl:choose>
				
					var vStyle = "display:inline-block;margin:0 auto;width:"+vWidth+"px;height:"+vHeight+"px;";
					_Object.setAttribute("style", vStyle);
					if (vAutoplay) vVideo.setAttribute("autoplay", true);
					vVideo.setAttribute("style", "top:0;left:0;width:100%;height:100%;");
					vVideo.setAttribute("controls", true);
					vVideo.setAttribute("src", vUrl);
<xsl:choose>
<xsl:when test="parent::sm:preview">
							document.getElementById("content").appendChild(vRoot);
</xsl:when>
<xsl:otherwise>
							document.documentElement.appendChild(vRoot);
</xsl:otherwise>
</xsl:choose>
					vRoot.appendChild(_Object);
					_Object.appendChild(vVideo);
					
				} catch(e){log.debug(e);}
			}
			
			function resize() {
				try {
					var vHeight = document.documentElement.boxObject.height || 150;
					var vWidth = document.documentElement.boxObject.width || 250;
					var vStyle = "display:inline-block;margin:0 auto;width:"+vWidth+"px;height:"+vHeight+"px;";
					_Object.setAttribute("style", vStyle);
				} catch(e){log.debug(e);}
			}
</script>
</xsl:template>
</xsl:stylesheet>
