<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
	xmlns:sma="kelis.fr:scenari/modeling/assessment" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="sm sma sc xalan"
	version="1.0">
<xsl:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
	
<xsl:template match="sma:assmntUnitEditPrim">
<elt id="{sm:identification/@targetPrefix}_{sm:identification/@code}" lname="{sm:identification/@code}" ns="{sm:identification/@targetNamespace}">
<xsl:apply-templates select="sm:structure"/>
</elt>
</xsl:template>
	
<xsl:template match="sm:structure">
<xsl:apply-templates/>
</xsl:template>
<xsl:template match="sm:meta[@sc:refUri]">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</xsl:if>
</xsl:template>
<xsl:template match="sm:questionModel[@sc:refUri]">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild lname="question" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
</xsl:if>
</xsl:template>
<xsl:template match="sm:interaction">
<xsl:apply-templates/>
</xsl:template>
	
	
<xsl:template match="sm:gapInText">
<xsl:apply-templates/>
</xsl:template>
<xsl:template match="sm:textModel[@sc:refUri]">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild lname="gapText" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
</xsl:if>
</xsl:template>
<xsl:template match="sm:gapInText/sm:feedbackModel">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild lname="feedbacks" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild lname="feedback" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
</eltChild>
</xsl:if>
</xsl:template>
	
	
<xsl:template match="sm:singleField">
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="sm:stringField">
<eltChild lname="{@code}" ns="http://www.utc.fr/ics/scenari/v3/primitive">
<eltChild lname="SFSolution" ns="http://www.utc.fr/ics/scenari/v3/core">
<xsl:apply-templates select="sm:solution/sm:feedback"/>
</eltChild>
<xsl:if test="sm:undefinedResponse">
<xsl:variable name="vUndefContent">
<xsl:apply-templates select="sm:undefinedResponse/*"/>
</xsl:variable>
<xsl:if test="boolean($vUndefContent)">
<eltChild lname="undefinedResponse" ns="http://www.utc.fr/ics/scenari/v3/core">
<xsl:copy-of select="$vUndefContent"/>
</eltChild>
</xsl:if>
</xsl:if>
</eltChild>
</xsl:template>
	
<xsl:template match="sm:numberField">
<eltChild lname="{@code}" ns="http://www.utc.fr/ics/scenari/v3/primitive">
<eltChild lname="NFSolution" ns="http://www.utc.fr/ics/scenari/v3/core">
<xsl:apply-templates select="sm:solution/sm:feedback"/>
</eltChild>
<xsl:if test="sm:undefinedResponse">
<xsl:variable name="vUndefContent">
<xsl:apply-templates select="sm:undefinedResponse/*"/>
</xsl:variable>
<xsl:if test="boolean($vUndefContent)">
<eltChild lname="undefinedResponse" ns="http://www.utc.fr/ics/scenari/v3/core">
<xsl:copy-of select="$vUndefContent"/>
</eltChild>
</xsl:if>
</xsl:if>
</eltChild>
</xsl:template>
	
<xsl:template match="sm:globalExplanationModel[@sc:refUri]">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild lname="globalExplanation" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
</xsl:if>
</xsl:template>
	
	
<xsl:template match="sm:structuredFields">
<xsl:if test="sm:division">
<eltChild lname="division" ns="http://www.utc.fr/ics/scenari/v3/core" id="{sm:identification/@targetPrefix}_{sm:identification/@code}_DIV" >
<eltChild refId="{sm:identification/@targetPrefix}_{sm:identification/@code}_DIV"/>
<xsl:apply-templates/>
</eltChild>
</xsl:if>
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="sm:notAssessableField">
<eltChild lname="{@code}" ns="http://www.utc.fr/ics/scenari/v3/primitive">
<eltChild lname="NAFSolution" ns="http://www.utc.fr/ics/scenari/v3/core">
<xsl:apply-templates/>
</eltChild>
</eltChild>
</xsl:template>
<xsl:template match="sm:solutionModel">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</xsl:if>
</xsl:template>
	
	
	
<xsl:template match="sm:feedback">
<xsl:choose>
<xsl:when test="@usage='none'"/>
<xsl:otherwise>
<xsl:for-each select="ancestor::*[name()='sm:singleField' or name()='sm:fieldList']/sm:feedbackModel">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild lname="feedback" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
</xsl:if>
</xsl:for-each>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
	
<xsl:template match="text()"/>
	
</xsl:stylesheet>