<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="sm sma xsl java xalan">
	
<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>

<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>
<xsl0:variable name="vPrimSource" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))"/>
    
<xsl0:include href="bsco:sm/od/getContent.xsl.xsl"/>
    
<xsl0:template match="sma:assmntUnitGmcqOdTransf">
<structure code="{resultatAgent($vAgentModel/codeModel)}{resultatAgent('//axisTransformer')}" racine="//{resultatAgent($vAgentModel/qNameTagRootModel)}" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" codecomposant="{resultatAgent('codecomposant')}" version="1.0">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<intitule type="xpath-dynamique">resultatAgent(metaAgt, 'shortTitleText')</intitule>
			
<valeur code="getContent">
<source type="xslOnSrc-dynamique" href="{resultatDialogue('../contentFile', 'act:')}"/>
				
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
						
			
<redirect code="metaAgt">
<pathAgent type="xpath-statique">concat('@', getIdNode(.), '_meta')</pathAgent>
</redirect>
			
<valeur code="fullTitleText">
<source type="xpath-dynamique">resultatAgent('//metaAgt', 'fullTitleText')</source>
</valeur>
			
<valeur code="shortTitleText">
<source type="xpath-dynamique">resultatAgent('//metaAgt', 'shortTitleText')</source>
</valeur>
			
			
<xsl0:apply-templates select="*" mode="mAgt"/>
</structure>
</xsl0:template>
	
		
<xsl0:template match="sm:when[@sc:refUri]" mode="mAgt">
<xsl0:variable name="vUri" select="@sc:refUri"/>
<xsl0:if test="count(preceding::sm:when[@sc:refUri=$vUri])=0">
<valeur code="cond_{alphaHash(@sc:refUri)}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
</valeur>
</xsl0:if>
<xsl0:apply-templates select="*" mode="mAgt"/>
</xsl0:template>
	
</xsl0:stylesheet>
