<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sma="kelis.fr:scenari/modeling/assessment" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:xalan="http://xml.apache.org/xalan"
		exclude-result-prefixes="sm sma sc xalan"
		version="1.0">
<xsl:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
	
<xsl:template match="sma:assmntUnitMcqPrim">
<elt id="{sm:identification/@targetPrefix}_{sm:identification/@code}" lname="{sm:identification/@code}" ns="{sm:identification/@targetNamespace}">
<xsl:apply-templates select="sm:structure"/>
</elt>
</xsl:template>
<xsl:template match="sm:structure">
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="sm:meta[@sc:refUri]">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</xsl:if>
</xsl:template>
<xsl:template match="sm:questionModel[@sc:refUri]">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild lname="question" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
</xsl:if>
</xsl:template>
	
	
	
<xsl:template match="sm:choices">
<eltChild lname="choices" ns="http://www.utc.fr/ics/scenari/v3/core">
<xsl:apply-templates/>
</eltChild>
</xsl:template>
<xsl:template match="sm:choice">
<eltChild lname="choice" ns="http://www.utc.fr/ics/scenari/v3/core">
<xsl:apply-templates />
<xsl:for-each select="ancestor::sm:structure/sm:solution/sm:singleUserResponse/sm:numericScoring/sm:feedbackModel">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild lname="feedback" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
</xsl:if>
</xsl:for-each>
</eltChild>
</xsl:template>

<xsl:template match="sm:choiceLabelModel">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild lname="choiceLabel" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
</xsl:if>
</xsl:template>
<xsl:template match="sm:choiceExplanationModel">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild lname="choiceExplanation" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:feedbackModel">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild lname="feedback" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:globalExplanationModel[@sc:refUri]">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild lname="globalExplanation" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
</xsl:if>
</xsl:template>
	
	
	
<xsl:template match="sm:solution">
<xsl:apply-templates/>
</xsl:template>
<xsl:template match="sm:singleUserResponse | sm:multipleUserResponse">
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="sm:booleanScoring[sm:feedbackModel]">
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="sm:booleanScoring/sm:feedbackModel">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild lname="solution" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild lname="feedbackRight" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
<eltChild lname="feedbackWrong" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
</eltChild>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:summedNumericScoring[sm:feedbackModel]">
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="sm:summedNumericScoring/sm:feedbackModel">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild lname="solution" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild lname="feedbacks" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild lname="feedback" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
</eltChild>
</eltChild>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:mappedNumericScoring">
<eltChild lname="solutions" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild lname="response" ns="http://www.utc.fr/ics/scenari/v3/core">
<xsl:apply-templates/>
</eltChild>
<eltChild lname="undefinedResponse" ns="http://www.utc.fr/ics/scenari/v3/core">
<xsl:apply-templates/>
</eltChild>
</eltChild>
</xsl:template>

	
<xsl:template match="text()"/>
	
</xsl:stylesheet>