<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sma="kelis.fr:scenari/modeling/assessment" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:xalan="http://xml.apache.org/xalan"
		exclude-result-prefixes="sm sma sc xalan"
		version="1.0">
<xsl:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
	
<xsl:template match="sma:assmntUnitMlqPrim">
<elt id="{sm:identification/@targetPrefix}_{sm:identification/@code}" lname="{sm:identification/@code}" ns="{sm:identification/@targetNamespace}">
<xsl:apply-templates select="sm:structure"/>
</elt>
</xsl:template>
	
<xsl:template match="sm:structure">
<xsl:apply-templates/>
</xsl:template>
<xsl:template match="sm:meta[@sc:refUri]">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</xsl:if>
</xsl:template>
<xsl:template match="sm:questionModel[@sc:refUri]">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild lname="question" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
</xsl:if>
</xsl:template>
	
	
	
<xsl:template match="sm:interaction">
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="sm:associateLabels">
<eltChild lname="group" ns="http://www.utc.fr/ics/scenari/v3/core">
<xsl:apply-templates select="sm:group/sm:labelModel"/>
</eltChild>
</xsl:template>
	
<xsl:template match="sm:matchTarget">
<eltChild lname="group" ns="http://www.utc.fr/ics/scenari/v3/core">
<xsl:apply-templates select="sm:group/sm:labelModel"/>
<xsl:apply-templates select="sm:group/sm:targetModel"/>
</eltChild>
<xsl:apply-templates select="sm:traps"/>
</xsl:template>
	
	
<xsl:template match="sm:labelModel">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild lname="label" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:traps">
<eltChild lname="traps" ns="http://www.utc.fr/ics/scenari/v3/core">
<xsl:apply-templates select="../sm:group/sm:labelModel"/>
</eltChild>
</xsl:template>
	
<xsl:template match="sm:targetModel">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild lname="target" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:orderLabels">
<xsl:apply-templates select="sm:labelModel"/>
</xsl:template>
	
	
<xsl:template match="sm:globalExplanationModel[@sc:refUri]">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild lname="globalExplanation" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:feedbackModel">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<eltChild lname="feedbacks" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild lname="feedback" ns="http://www.utc.fr/ics/scenari/v3/core">
<eltChild refId="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}"/>
</eltChild>
</eltChild>
</xsl:if>
</xsl:template>
	
<xsl:template match="text()"/>
	
</xsl:stylesheet>