<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
				xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
				xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
				xmlns:java="http://xml.apache.org/xslt/java"
				xmlns:xalan="http://xml.apache.org/xalan"
				version="1.0">
	
<xsl:output method="text"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
				
<xsl:template match="/*">
<xsl:text>try{</xsl:text>
<xsl:call-template name="tRoles"/>
<xsl:if test="sm:collaboration/sm:lifeCycle/@sc:refUri">
<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(sm:collaboration/sm:lifeCycle/@sc:refUri), '/publishExtSources'))"/>
</xsl:if>
<xsl:text>}catch(e){log.debug(e);}</xsl:text>
</xsl:template>
	
	
<xsl:template name="tRoles">
Components.utils.import("chrome://scenariWsp/content/widgets/rolesSelector/rolesSelector.jsm");<xsl:text/>

		
<xsl:variable name="vRolesNS" select="xalan:nodeset(java:values(getEntryBuffer(resultatAgent('//rightContext/rolesKey'))))"/>
					
<xsl:for-each select="$vRolesNS">
<xsl:value-of select="resultatAgent(declareRole)"/>
</xsl:for-each>
		
<xsl:text>
var vExclusifsGroups = {};
var vOthersGroups = [];</xsl:text>
<xsl:for-each select="$vRolesNS">
<xsl:variable name="vExclusiveGroup" select="resultatAgent(exclGroup)"/>
<xsl:if test="not(resultatAgent(hidden))">
<xsl:choose>
<xsl:when test="$vExclusiveGroup">
if(!vExclusifsGroups['<xsl:value-of select="$vExclusiveGroup"/>']) vExclusifsGroups['<xsl:value-of select="$vExclusiveGroup"/>'] = [];
vExclusifsGroups['<xsl:value-of select="$vExclusiveGroup"/>'].push('<xsl:value-of select="resultatAgent(codeRole)"/>');<xsl:text/>
</xsl:when>

<xsl:otherwise>
vOthersGroups.push('<xsl:value-of select="resultatAgent(codeRole)"/>');<xsl:text/>
</xsl:otherwise>

</xsl:choose>
</xsl:if>
</xsl:for-each>
var vCurrentRolesSelectorList = extPoints.getListAsMap('rolesSelector:common');
for(var vExclusiveGroup in vExclusifsGroups){
	var vIdEntryList = vExclusiveGroup!='main' ? vExclusiveGroup : "mainRoles";
var vRoles = vCurrentRolesSelectorList ? vCurrentRolesSelectorList[vIdEntryList] : null;
if(vRoles){
	// Liste déja définie : on la complète
	vRoles.appendRoles(vExclusifsGroups[vExclusiveGroup]);
}else{
	// Liste pas définie : on la crée
	vRoles = new RolesChoiceInputArea(vIdEntryList);
	vRoles.buildBody = function (pDomParentElt, pContext) {
		var vInput = this.buildBaseBody(pDomParentElt, pContext);
		vInput.setAttribute('orient', 'horizontal');
		vInput.setAttribute('flex', '1');
		return vInput;
	}
	vRoles.setRoles(vExclusifsGroups[vExclusiveGroup]);
	extPoints.addToList('rolesSelector:common', vIdEntryList, <xsl:value-of select="resultatAgent('/@@/levelAutority')"/>, vRoles, 10);	
	}
}
if(vOthersGroups.length>0){
	var vRoles = vCurrentRolesSelectorList ? vCurrentRolesSelectorList["#setGroup"] : null;
	if(vRoles){
		// Liste déja définie : on la complète
		vRoles.appendRoles(vOthersGroups);
	}else{
		var vRoles = new RolesSetInputArea("additionalRoles").setRoles(vOthersGroups);
		vRoles.buildBody = function (pDomParentElt, pContext) {
			var vInput = this.buildBaseBody(pDomParentElt, pContext);
			vInput.setAttribute('orient', 'horizontal');
			vInput.setAttribute('flex', '1');
			return vInput;
		}
		extPoints.addToList('rolesSelector:common', '#setGroup', <xsl:value-of select="resultatAgent('/@@/levelAutority')"/>, vRoles, 10);
	}
}<xsl:text/>

		
<xsl:for-each select="xalan:nodeset(java:values(getEntryBuffer(resultatAgent('//rightContext/permissionsKey'))))">
<xsl:sort select="getEntryBuffer('right:permissions:depth', resultatAgent(codePerm))" order="descending"/>
<xsl:value-of select="resultatAgent(declarePerm)"/>
</xsl:for-each>
				
</xsl:template>
</xsl:stylesheet>